function onTalk()
	disableMovement()
	if getFlag("Vortex") then
		playSound("event:/CC/CC_KoseiDiamond_sounds/freakoutDown")
	else
		playSound("event:/CC/CC_KoseiDiamond_sounds/freakoutUp")
	end
	setFlag("Vortex", not getFlag("Vortex"))
	setFlag("Solar",false)
	setFlag("StarDust",false)
	setFlag("Nebula",false)
	wait(0.2)
	enableMovement()
end
